{
  config,
  lib,
  inputs,
  pkgs,
  system,
  ...
}:
let
  cfg = config.modules.helium;
  # packageNix = "${inputs.nixpkgs-gamescope}/pkgs/by-name/he/helium-browser/package.nix";
in
{
  options.modules.helium = {
    enable = lib.mkEnableOption "helium";
  };
  config = lib.mkIf cfg.enable {
    home.packages = [
      inputs.heliumFlake.packages.x86_64-linux.helium
    ];
    # Gives me widevine support. yay
    xdg.configFile."net.imput.helium/WidevineCdm/latest-component-updated-widevine-cdm" = {
      text = ''{"Path":"${pkgs.widevine-cdm}/share/google/chrome/WidevineCdm"}'';
    };
  };
}
